HEX

Warning: set_time_limit() [function.set-time-limit]: Cannot set time limit - prohibited by configuration in /home/u547966/brikov.ru/www/wp-content/plugins/admin-menu-editor/menu-editor.php on line 745
Server: Apache
System: Linux 4.19.0-0.bpo.9-amd64 x86_64 at red40
User: u547966 (5490)
PHP: 5.3.29-mh2
Disabled: syslog, dl, popen, proc_open, proc_nice, proc_get_status, proc_close, proc_terminate, posix_mkfifo, chown, chgrp, accelerator_reset, opcache_reset, accelerator_get_status, opcache_get_status, pcntl_alarm, pcntl_fork, pcntl_waitpid, pcntl_wait, pcntl_wifexited, pcntl_wifstopped, pcntl_wifsignaled, pcntl_wifcontinued, pcntl_wexitstatus, pcntl_wtermsig, pcntl_wstopsig, pcntl_signal, pcntl_signal_dispatch, pcntl_get_last_error, pcntl_strerror, pcntl_sigprocmask, pcntl_sigwaitinfo, pcntl_sigtimedwait, pcntl_exec, pcntl_getpriority, pcntl_setpriority
Upload Files
File: //var/lib/dpkg/info/python3.preinst
#! /bin/sh
set -e

# remove the python3 alternatives before installing our own python3 link

update-alternatives --auto /usr/bin/python3 >/dev/null 2>&1 || true

[ -L /usr/share/doc/python3/html ] || rm -rf /usr/share/doc/python3/html

case "$1" in
    upgrade)
	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python pre-rtupdate hooks for python3.5..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook pre-rtupdate python$oldv python3.5; then
		hb=$(basename $hook .rtupdate)
		echo >&2 "error running python pre-rtupdate hook $hb"
		echo >&2 "running python failed-pre-rtupdate hook $hb"
		$hook failed-pre-rtupdate python$oldv python3.5
		errors=yes
		break
	    fi
	done
	[ -z "$errors" ] || exit 3
esac